Subject: Re: Message from 'git-rebase'; German translation

From: Michael J Gruber <[email-masked]>
Date: Mon, 24 Sep 2012 09:33:39 +0200

Sascha Cunz venit, vidit, dixit 22.09.2012 23:57:
> As I know how hard translations can be, esp. with that much technical terms 
> inside, I'm usually expecting _not_ to yield the same result when translating 
> a software's translation back to English.
> 
> However, git-rebase just threw these two sentences at me (And though i know 
> their meaning, i couldn't get the meaning from the message, it gave). Both are 
> in context of starting a rebase while one is already in progress.
> 
> first is:
> 
> Original:
> ... and I wonder if you are in the middle of another rebase.
> 
> German git translation:
> ... und es wäre verwunderlich, wenn ein Neuaufbau bereits im Gange ist.
> 
> And a re-translation back to English from my understanding as native German 
> speaker:
> ... and it would be astonishing (=i'd be surprised), if a rebase was already 
> in progress.
> 
> And second:
> 
> Original:
> I am stopping in case you still have something valuable there.
> 
> German git translation:
> Es wird angehalten, falls bereits etwas Nützliches vorhanden ist.
> 
> I wanted to point out that "etwas Nützliches" is more "something useful" that 
> "something valuable". But the more I thought about it, the more it started to 
> confuse me (even the original text) - and now I feel like I don't understand 
> the meaning of the last sentence at all; neither in English nor in the German 
> translation:
> After removing the directory with all rebase-information inside it, WHERE 
> should something valuable still be left over? Is it referring to my working 
> tree?
> 
> So, for completeness, the full English message:
> 
> 	It seems that there is already a rebase-merge directory, and
> 	I wonder if you are in the middle of another rebase.  If that is the
> 	case, please try
>      	   git rebase (--continue | --abort | --skip)
> 	If that is not the case, please
> 	        rm -fr "/work/lg2/src/.git/rebase-merge"
> 	and run me again.  I am stopping in case you still have something
> 	valuable there.
> 
> Sascha
> 

Both translations are completely wrong on two accounts: They are a wrong
translation of the English original into German (making typical mistakes
like "false friends" [wonder != wundern] etc.), and they convey a
completely wrong idea about what git is doing and about to do (by
translating a message without knowing when and why it is given).
Unfortunately, neither comes to me as a surprise.

I'm sorry I'm too frustrated by the German l10n community to try to help
again (and the ensuing thread just reinforces that feeling), but to end
on a positive note let me just point out:

'in case ...' = 'für den Fall dass ...' (attributiv)

'in the case  ...' = 'im Fall dass ...' (konditional)

Michael